Package com.sun.jna.platform.win32

## Class Advapi32Util.Account

- java.lang.Object
- - com.sun.jna.platform.win32.Advapi32Util.Account

Enclosing class:
  Advapi32Util

    public static class Advapi32Util.Account
    extends java.lang.Object

An account.

### Field Summary

Fields
`int` `accountType` Account type, one of SID_NAME_USE.
`java.lang.String` `domain` Account domain.
`java.lang.String` `fqn` Fully qualified account name.
`java.lang.String` `name` Account name.
`byte[]` `sid` Account SID.
`java.lang.String` `sidString` String representation of the account SID.

### Constructor Summary

Constructors
`Account()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

Account name.

#### domain

    public java.lang.String domain

Account domain.

#### sid

    public byte[] sid

Account SID.

#### sidString

    public java.lang.String sidString

String representation of the account SID.

#### accountType

    public int accountType

Account type, one of SID_NAME_USE.

#### fqn

    public java.lang.String fqn

Fully qualified account name.

### Constructor Detail

#### Account

    public Account()